%global api 1.0
%global major 0
%define libname %mklibname ldm %{api} %{major}
%define devname %mklibname -d ldm %{api}

Name:           libldm
Version:        0.2.5
Release:        %mkrel 1
Summary:        A tool to manage Windows dynamic disks
Group:		System/Libraries
License:        LGPLv3+ and GPLv3+
URL:            https://github.com/mdbooth/libldm
Source0:        https://github.com/mdbooth/libldm/archive/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  pkgconfig(json-glib-1.0) >= 0.14.0
BuildRequires:  pkgconfig(devmapper) >= 1.0
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  readline-devel
BuildRequires:  gtk-doc

%description
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted. It includes ldmtool, which
exposes this functionality as a command-line tool.

libldm is released under LGPLv3+. ldmtool is released under GPLv3+.

%package        -n %libname
Summary:        A tool to manage Windows dynamic disks
Group:          System/Libraries
Obsoletes:      %{_lib}ldm0 < 0.2.3-6

%description    -n %libname
libldm is a library for managing Microsoft Windows dynamic disks, which use
Microsoft's LDM metadata. It can inspect them, and also create and remove
device-mapper block devices which can be mounted.

%package        -n %devname
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       libldm-devel = %{version}-%{release}
Provides:       libldm%{api}-devel = %{version}-%{release}
Obsoletes:      %{_lib}ldm-devel < 0.2.3-6

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1
sed -i -e 's/-Werror //' src/Makefile.*
gtkdocize
autoreconf -i

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --enable-gtk-doc
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING.lgpl COPYING.gpl
%{_bindir}/ldmtool
%{_mandir}/man1/ldmtool.1*

%files -n %libname
%doc COPYING.lgpl COPYING.gpl
%{_libdir}/libldm-%{api}.so.%{major}{,.*}

%files -n %devname
%doc %{_datadir}/gtk-doc/*
%{_includedir}/*
%{_libdir}/libldm-%{api}.so
%{_libdir}/pkgconfig/ldm-%{api}.pc




%changelog
* Fri Oct 07 2022 neoclust <neoclust> 0.2.5-1.mga9
+ Revision: 1895249
- New version 0.2.5

* Thu Mar 31 2022 umeabot <umeabot> 0.2.4-4.mga9
+ Revision: 1837642
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 0.2.4-3.mga8
+ Revision: 1542516
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 tv <tv> 0.2.4-2.mga8
+ Revision: 1476441
- rebuild with new readline

* Tue Jul 23 2019 tv <tv> 0.2.4-1.mga8
+ Revision: 1423552
- New upstream version 0.2.4.
- Remove all upstream patches.
- Build from github tarball.

* Thu Sep 27 2018 daviddavid <daviddavid> 0.2.3-7.mga7
+ Revision: 1307448
- add debian patch to fix FTBFS due to use of deprecated glib function
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Jun 09 2018 wally <wally> 0.2.3-6.mga7
+ Revision: 1235717
- fix build on aarch64
- add lib api to lib and devel pkg names

* Tue Jan 02 2018 wally <wally> 0.2.3-5.mga7
+ Revision: 1189448
- rebuild for new readline

* Thu Sep 21 2017 tv <tv> 0.2.3-4.mga7
+ Revision: 1156768
- fix build with gcc7

* Mon Jun 27 2016 tv <tv> 0.2.3-3.mga6
+ Revision: 1037916
- split ldmtool in its own package

* Mon Jun 27 2016 tv <tv> 0.2.3-2.mga6
+ Revision: 1037911
- fix library description

* Tue Apr 26 2016 tv <tv> 0.2.3-1.mga6
+ Revision: 1006651
- imported package libldm


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 15 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.3-6
- Add patch to fix Werror=format-security issues

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug  4 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.3-4
- Add gtk-doc to fix FTBFS
- Add patch for deprecated g_type_init

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 24 2012 Matthew Booth <mbooth@redhat.com> - 0.2.3-1
- Initial packaging
